Loading...
Searching...
No Matches
L4::Types Namespace Reference

L4 basic type helpers for C++. More...

## Data Structures

class | Flags
| Template for defining typical Flags bitmaps. More...
struct | Int_for_size
| Metafunction to get an unsigned integral type for the given size. More...
struct | Int_for_type
| Metafunction to get an integral type of the same size as T. More...
struct | Flags_ops_t
| Mixin class to define a set of friend bitwise operators on DT. More...
struct | Flags_t
| Template type to define a flags type with bitwise operations. More...
struct | Bool
| Boolean meta type. More...
struct | False
| False meta value. More...
struct | True
| True meta value. More...
struct | Same
| Compare two data types for equality. More...

## Detailed Description

L4 basic type helpers for C++.